# Add Price Grid Items to a Price Grid Adds products to the Live Price Grid. > Information: > Only products that are not already in the Price Grid will be added. You can specify products by skus (see the example 1 below) or by filter settings (see example 2). --- Example 1: Adds only products with specified SKUs. json { "data":{ "skus":[ "p0001", "p0002" ] } } Example 2: Adds only products where formulaName = "CompetitionPricing". json { "data":{ "filterCriteria":{ "operator":"and", "criteria":[ { "fieldName":"formulaName", "operator":"iEquals", "value":"CompetitionPricing" } ] } } } --- >To add items without a recalculation, use the /pricegridmanager.add/{id}/norecalc endpoint. Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_ADD | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) Endpoint: POST /pricegridmanager.add/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The ID of the Live Price Grid where you want to add Price Grid Items to. id is the typedId without PG suffix. For example, the id attribute of the item with typedId = 649.PG is 649. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint. ## Request fields (application/json): - `data` (object, required) - `data.filterCriteria` (object, required) - `data.filterCriteria.operator` (string, required) - `data.filterCriteria.criteria` (array, required) - `data.filterCriteria.criteria.fieldName` (string, required) - `data.filterCriteria.criteria.operator` (string, required) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.filterCriteria.criteria.value` (string, required) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (any) - `response.status` (number)